Bug 1303299 - [DOCS] [3.2] Document the CLI Tools Download Feature and the new About page for Web Console
[DOCS] [3.2] Document the CLI Tools Download Feature and the new About page f...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ashley Hardin
Wei Sun
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-30 07:29 EST by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-13 14:25:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ocdownload (64.25 KB, image/png)
2016-03-03 01:51 EST, Wei Sun
no flags Details

  None (edit)
Description Vikram Goyal 2016-01-30 07:29:41 EST
In OSE 3.2, the user can download the CLI tools via the Web Console with the addition of the new About page.

See this commit for details of what has been added and how the web console's About page will look like: https://github.com/openshift/origin/pull/6783

This new feature gives the user information about the server version and links to the CLI downloads. All this information needs to be documented with the emphasis on the availability of the download of the CLI tools.

Dev for this feature is: 
Fabiano Franz

Trello Card is: 
https://trello.com/c/ejuUQbJd/484-3-deliver-clients-via-asset-server-console

QA for this feature is: 
Wei Sun

Likely guide:
https://docs.openshift.com/enterprise/3.1/cli_reference/get_started_cli.html#installing-the-cli

However, there are parts of the commit and trello card that could also go in the Web Console section of the Architecture Guide:
https://docs.openshift.com/enterprise/3.1/architecture/infrastructure_components/web_console.html
Comment 1 Ashley Hardin 2016-02-17 14:16:09 EST
Work in progress:
https://github.com/openshift/openshift-docs/pull/1608
Comment 2 Wei Sun 2016-03-03 01:51:06 EST
I tested this bug using the latest puddle today,my picture is not same with the pr.

Please refer to the attachment.
Comment 3 Wei Sun 2016-03-03 01:51 EST
Created attachment 1132657 [details]
ocdownload
Comment 4 Ashley Hardin 2016-03-09 11:46:20 EST
@Wei  For OSE and Origin, the photo could be different depending on the cluster-admin's config: https://docs.openshift.org/latest/install_config/web_console_customization.html

I confirmed with the Dev team (Fabiano Franz & Jessica Forrester) that no more UI changes are expected for 3.2.
Comment 5 Ashley Hardin 2016-03-09 15:57:31 EST
Forgot to note that I added the latest screenshot.
Comment 6 Wei Sun 2016-03-09 20:46:52 EST
Checked the pr,and the bug has been fixed,verified this bug.
Comment 7 openshift-github-bot 2016-03-10 10:59:36 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/8ad7f03886db7382345b2b81c12b6c6adde1747b
Bug 1303299, CLI tools downloads are available from About page in web console

https://github.com/openshift/openshift-docs/commit/2331e6a7ea58068bc9821c60841fffa3c0fc3aba
Merge pull request #1608 from ahardin-rh/web-console

Bug 1303299, CLI tools download and About page for web console

Note You need to log in before you can comment on or make changes to this bug.